## libxml++-5.0 5.6.0+ds

=== debian/changelog ===
libxml++-5.0 (5.6.0+ds-1) unstable; urgency=medium

  * Initial release of libxml++-5.0, based on src:libxml++2.6
    Closes: #1121304

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 25 Nov 2025 10:59:15 +0100

libxml++2.6 (2.42.3-2) unstable; urgency=medium

  * Remove obsolete Breaks/Replaces
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Dec 2024 11:50:55 -0500

libxml++2.6 (2.42.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (Closes: #1063851)
  * Build with meson
  * Add debian/upstream/metadata
  * Add Build-Depends: docbook-xsl, doxygen, libxml2-utils, xmllint
  * Use Files-Excluded to ensure docs are built from source
  * Bump debhelper-compat to 13
  * Stop using debian/control.in and dh-sequence-gnome
  * Simplify debian/rules
  * Set Rules-Requires-Root: no
  * Update Homepage

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Update standards version to 4.6.2, no changes needed

  [ Simon McVittie ]
  * d/watch: Update to be able to pick up newer versions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 12:48:18 -0500

libxml++2.6 (2.40.1-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 10:26:53 -0500

libxml++2.6 (2.40.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Only watch for 2.x version since 3.x breaks API
  * Switch from cdbs to dh
  * Bump debhelper compat to 11
  * Drop obsolete debian/libxml++2.6-doc.doc-base.libxml++2.6-manual
  * Switch to automatic dbgsym packages

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 10:38:44 -0500

libxml++2.6 (2.40.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Oct 2015 16:19:49 +0100

libxml++2.6 (2.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on mm-common to (>= 0.9.8) as per configure.ac.
  * Bump SHVER to 2.40.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 16:54:23 +0200

libxml++2.6 (2.38.1-2) unstable; urgency=medium

  * Team upload.
  * Rename libxml++2.6-2 to libxml++2.6-2v5 for g++-5 ABI transition
    - build-depend on a glibmm2.4 version that was built with g++-5
    - Breaks/Replaces libxml++2.6-2

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Aug 2015 10:22:52 +0100

libxml++2.6 (2.38.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump dependency on libxml2-dev to (>= 2.7.7) as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 00:36:50 +0200

libxml++2.6 (2.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Use default automake version.
  * Bump shlibs version to 2.38.0.
  * Bump Build-Depends on mm-common to (>= 0.9.7) as per configure.ac.
  * Convert to multiarch.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Tue, 19 May 2015 00:48:25 +0200

libxml++2.6 (2.36.0-2.1) unstable; urgency=low

  [ Fernando Seiti Furusato]
  * Non-maintainer upload.
  * Adding autoreconf to the build. Forcing to use automake-1.11 due to
    compatibility issues. Closes: #755744

 -- Andreas Barth <aba@ayous.org>  Fri, 29 Aug 2014 03:02:24 +0000

libxml++2.6 (2.36.0-2) unstable; urgency=low

  * Don't rely on LC_ALL being already set and explicitly export it.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Jun 2013 14:33:19 +0200

libxml++2.6 (2.36.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * From Ubuntu:
    + debian/rules: run make check as a sanity check. Closes: #692160.

  [ Michael Biebl ]
  * New upstream release.
  * Drop obsolete DM-Upload-Allowed field.
  * Bump required versions of libxml2-dev to (>= 2.7.3) and libglibmm-2.4-dev
    to (>= 2.32.0).
  * Update debian/copyright according to the copyright-format 1.0 spec.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Bump shlibs version to 2.36.0.
  * Add Build-Depends on autotools-dev as lintian was complaining about
    outdated config.{guess,sub}.
  * Use UTF-8 locale as the test-suite currently fails otherwise.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Jun 2013 00:51:17 +0200

libxml++2.6 (2.34.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
  * Stop installing libtool .la files.
  * Bump shlibs version to 2.34.2 due to new API additions.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Feb 2012 05:01:20 +0100

libxml++2.6 (2.34.1-1) unstable; urgency=low

  * New upstream bugfix release.
    + Loosen mm-common requirement to >= 0.9.3 as per configure.ac.
  * Update Standards-Version to 3.9.2. No change needed.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 24 Apr 2011 20:32:34 +0800

libxml++2.6 (2.34.0-1) unstable; urgency=low

  * New upstream bugfix release.
    + Add mm-common (>= 0.9.5) as build-dep.
  * Convert to source format 3.0 (quilt):
    + debian/rules:
      + Drop simple-patchsys.mk.
      + Drop check-dist.mk.
  * debian/watch:
    + Fix RegEx.
    + Track *.tar.bz2 instead of *.tar.gz
  * debian/control.in:
    + Fix lintian warning: description-synopsis-starts-with-article.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 17 Apr 2011 21:19:30 +0800

libxml++2.6 (2.33.1-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Remove the chrpath hack, it's been fixed in libtool.

  [ Deng Xiyue ]
  * New upstream development release.  (Closes: #605773)
    + Bump SHVER to 2.33.1 due to new symbol.
    + Don't clean the examples during install, it's now in different

