=== debian/control ===
Source: libxml++-5.0
Priority: optional
Section: devel
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13),
               docbook-xsl,
               doxygen,
               libxml2-dev,
               libxml2-utils,
               meson,
               mm-common,
               pkgconf,
               xsltproc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/twolife/libxmlplusplus5
Vcs-Git: https://salsa.debian.org/twolife/libxmlplusplus5.git
Homepage: https://libxmlplusplus.github.io/libxmlplusplus/

Package: libxml++-5.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libxml++-5.0-1 (= ${binary:Version}),
         libxml2-dev (>= 2.7.7),
Suggests: libxml++-5.0-doc,
          pkgconf
Description: C++ interface to the GNOME XML library (libxml2) - dev files
 Libxml++ is a C++ wrapper for the libxml2 XML parser library (otherwise
 known as the GNOME XML library).  It has SAX and DOM-like APIs, but does not
 attempt to conform exactly to the DOM specification because they are not
 aimed at C++.  Its API is much simpler than the underlying libxml C API.
 .
 This build provides version 5.0 of the API, that has fewer dependencies but
 is not as good at handling UTF-8 strings. Use libxml++-4.0 if you need
 full UTF-8 support.
 .
 This package contains development files.

Package: libxml++-5.0-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ interface to the GNOME XML library (libxml2)
 Libxml++ is a C++ wrapper for the libxml2 XML parser library (otherwise
 known as the GNOME XML library).  It has SAX and DOM-like APIs, but does not
 attempt to conform exactly to the DOM specification because they are not
 aimed at C++.  Its API is much simpler than the underlying libxml C API.
 .
 This build provides version 5.0 of the API, that has fewer dependencies but
 is not as good at handling UTF-8 strings. Use libxml++-4.0 if you need
 full UTF-8 support.
 .
 This package contains shared libraries.

Package: libxml++-5.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
         lynx | www-browser
Suggests: libxml++-5.0-dev
Description: HTML interface documentation and examples for libxml++
 Libxml++ is a C++ wrapper for the libxml2 XML parser library (otherwise
 known as the GNOME XML library).  It has SAX and DOM-like APIs, but does not
 attempt to conform exactly to the DOM specification because they are not
 aimed at C++.  Its API is much simpler than the underlying libxml C API.
 .
 This package contains reference documentation and examples.
