=== debian/watch ===
Version: 5
Template: Github
Owner: libxmlplusplus
Project: libxmlplusplus
Repack: yes
Repacksuffix: +ds
Dversion-Mangle: auto
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v?(5\.[2468][0-9\.]*)
